Bug 244074 - snd_hda stops working after some time
Summary: snd_hda stops working after some time
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 12.1-RELEASE
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-12 16:11 UTC by rob2g2
Modified: 2020-03-29 21:00 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rob2g2 2020-02-12 16:11:01 UTC
I have successfully configured my sound system, and so far it is working, however, after some time it stops working.

It is a Realtek ALC1220 chip that comes with a Gigabyte x570 Aorus Ultra.

symptom: after some time the sound stops. syslogd goes to 100% CPU logging VLC logs. vlc can playback videos, however, I cannot skip to a position in a stream any more - the process hangs.

dmesg says:
pcm4: chn_write(): pcm4:virtual:dsp4.vp0: play interrupt timeout, channel dead

vlc logs to syslog:
Feb 12 15:24:19 mach2020 vlc[31719]: main: picture is too late to be displayed (missing 34 ms)
Feb 12 15:24:19 mach2020 vlc[31719]: oss: cannot write samples: Invalid argument
Feb 12 15:24:49 mach2020 syslogd: last message repeated 8896062 times
Feb 12 15:26:28 mach2020 syslogd: last message repeated 29742997 times


# pciconf -lcb
hostb0@pci0:0:0:0:	class=0x060000 card=0x14501022 chip=0x14801022 rev=0x00 hdr=0x00
none0@pci0:0:0:2:	class=0x080600 card=0x14811022 chip=0x14811022 rev=0x00 hdr=0x00
    cap 0f[40] = unknown
    cap 05[64] = MSI supports 4 messages, 64 bit enabled with 1 message
    cap 08[74] = HT MSI fixed address window enabled at 0xfee00000
    cap 09[c8] = vendor (length 24)
hostb1@pci0:0:1:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
pcib1@pci0:0:1:1:	class=0x060400 card=0x14531022 chip=0x14831022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 256(512) RO NS ARI disabled
                 link x4(x4) speed 8.0(16.0) ASPM disabled(L1)
                 slot 0 power limit 0 mW
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14531022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0003[140] = Serial 1 000c870000000001
    ecap 0001[150] = AER 2 0 fatal 1 non-fatal 1 corrected
    ecap 0019[270] = PCIe Sec 1 lane errors 0xf
    ecap 000d[2a0] = ACS 1
    ecap 001e[370] = unknown 1
    ecap 001d[380] = unknown 1
    ecap 0023[3c4] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib2@pci0:0:1:2:	class=0x060400 card=0x14531022 chip=0x14831022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 128(512) RO NS ARI disabled
                 link x4(x8) speed 16.0(16.0) ASPM disabled(L1)
                 slot 0 power limit 0 mW
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14531022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0003[140] = Serial 1 000c870000000001
    ecap 0001[150] = AER 2 0 fatal 0 non-fatal 2 corrected
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 000d[2a0] = ACS 1
    ecap 001e[370] = unknown 1
    ecap 001d[380] = unknown 1
    ecap 0023[3c4] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
hostb2@pci0:0:2:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
hostb3@pci0:0:3:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
pcib10@pci0:0:3:1:	class=0x060400 card=0x14531022 chip=0x14831022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 256(512) RO NS ARI disabled
                 link x16(x16) speed 2.5(16.0) ASPM disabled(L1)
                 slot 0 power limit 0 mW
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14531022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0003[140] = Serial 1 000c870000000001
    ecap 0001[150] = AER 2 0 fatal 0 non-fatal 0 corrected
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 000d[2a0] = ACS 1
    ecap 001e[370] = unknown 1
    ecap 001d[380] = unknown 1
    ecap 0023[3c4] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
hostb4@pci0:0:4:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
hostb5@pci0:0:5:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
hostb6@pci0:0:7:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
pcib11@pci0:0:7:1:	class=0x060400 card=0x14841022 chip=0x14841022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 256(512) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14841022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
hostb7@pci0:0:8:0:	class=0x060000 card=0x00000000 chip=0x14821022 rev=0x00 hdr=0x00
pcib12@pci0:0:8:1:	class=0x060400 card=0x14841022 chip=0x14841022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 root port max data 256(512) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14841022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
intsmb0@pci0:0:20:0:	class=0x0c0500 card=0x50011458 chip=0x790b1022 rev=0x61 hdr=0x00
isab0@pci0:0:20:3:	class=0x060100 card=0x50011458 chip=0x790e1022 rev=0x51 hdr=0x00
hostb8@pci0:0:24:0:	class=0x060000 card=0x00000000 chip=0x14401022 rev=0x00 hdr=0x00
hostb9@pci0:0:24:1:	class=0x060000 card=0x00000000 chip=0x14411022 rev=0x00 hdr=0x00
hostb10@pci0:0:24:2:	class=0x060000 card=0x00000000 chip=0x14421022 rev=0x00 hdr=0x00
hostb11@pci0:0:24:3:	class=0x060000 card=0x00000000 chip=0x14431022 rev=0x00 hdr=0x00
hostb12@pci0:0:24:4:	class=0x060000 card=0x00000000 chip=0x14441022 rev=0x00 hdr=0x00
hostb13@pci0:0:24:5:	class=0x060000 card=0x00000000 chip=0x14451022 rev=0x00 hdr=0x00
hostb14@pci0:0:24:6:	class=0x060000 card=0x00000000 chip=0x14461022 rev=0x00 hdr=0x00
hostb15@pci0:0:24:7:	class=0x060000 card=0x00000000 chip=0x14471022 rev=0x00 hdr=0x00
nvme0@pci0:1:0:0:	class=0x010802 card=0x50131987 chip=0x50131987 rev=0x01 hdr=0x00
    bar   [10] = type Memory, range 64, base rxf7c00000, size 16384, enabled
    cap 10[80] = PCI-Express 2 endpoint max data 256(256) FLR RO NS
                 link x4(x4) speed 8.0(8.0) ASPM disabled(L1)
    cap 11[d0] = MSI-X supports 9 messages, enabled
                 Table in map 0x10[0x2000], PBA in map 0x10[0x3000]
    cap 05[e0] = MSI supports 8 messages, 64 bit, vector masks 
    cap 01[f8] = powerspec 3  supports D0 D3  current D0
    ecap 0018[100] = LTR 1
    ecap 001e[110] = unknown 1
    ecap 0001[200] = AER 2 0 fatal 0 non-fatal 2 corrected
    ecap 0019[300] = PCIe Sec 1 lane errors 0
pcib3@pci0:2:0:0:	class=0x060400 card=0x00000000 chip=0x57ad1022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 upstream port max data 128(512) RO NS
                 link x4(x8) speed 16.0(16.0) ASPM disabled(L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 001e[370] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib4@pci0:3:1:0:	class=0x060400 card=0x14531022 chip=0x57a31022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 downstream port max data 128(512) RO NS ARI enabled
                 link x4(x4) speed 8.0(16.0) ASPM disabled(L1)
                 slot 0 power limit 0 mW
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14531022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0003[140] = Serial 1 000c870000000001
    ecap 0001[150] = AER 2 0 fatal 1 non-fatal 0 corrected
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 000d[2a0] = ACS 1
    ecap 001e[370] = unknown 1
    ecap 001d[380] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib5@pci0:3:3:0:	class=0x060400 card=0x14531022 chip=0x57a31022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 downstream port max data 128(512) RO NS ARI disabled
                 link x1(x1) speed 5.0(16.0) ASPM disabled(L1)
                 slot 0 power limit 0 mW
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14531022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0003[140] = Serial 1 000c870000000001
    ecap 0001[150] = AER 2 0 fatal 1 non-fatal 0 corrected
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 000d[2a0] = ACS 1
    ecap 001e[370] = unknown 1
    ecap 001d[380] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib6@pci0:3:4:0:	class=0x060400 card=0x14531022 chip=0x57a31022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 downstream port max data 128(512) RO NS ARI disabled
                 link x1(x1) speed 2.5(16.0) ASPM disabled(L1)
                 slot 0 power limit 0 mW
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14531022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0003[140] = Serial 1 000c870000000001
    ecap 0001[150] = AER 2 0 fatal 0 non-fatal 0 corrected
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 000d[2a0] = ACS 1
    ecap 001e[370] = unknown 1
    ecap 001d[380] = unknown 1
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib7@pci0:3:8:0:	class=0x060400 card=0x14841022 chip=0x57a41022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 downstream port max data 128(512) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14841022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib8@pci0:3:9:0:	class=0x060400 card=0x14841022 chip=0x57a41022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 downstream port max data 128(512) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14841022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
pcib9@pci0:3:10:0:	class=0x060400 card=0x14841022 chip=0x57a41022 rev=0x00 hdr=0x01
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[58] = PCI-Express 2 downstream port max data 128(512) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 0d[c0] = PCI Bridge card=0x14841022
    cap 08[c8] = HT MSI fixed address window enabled at 0xfee00000
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
nvme1@pci0:4:0:0:	class=0x010802 card=0x50121987 chip=0x50121987 rev=0x01 hdr=0x00
    bar   [10] = type Memory, range 64, base rxf7800000, size 16384, enabled
    cap 10[80] = PCI-Express 2 endpoint max data 128(256) FLR RO NS
                 link x4(x4) speed 8.0(8.0) ASPM disabled(L1)
    cap 11[d0] = MSI-X supports 9 messages, enabled
                 Table in map 0x10[0x2000], PBA in map 0x10[0x3000]
    cap 05[e0] = MSI supports 8 messages, 64 bit 
    cap 01[f8] = powerspec 3  supports D0 D3  current D0
    ecap 0018[100] = LTR 1
    ecap 001e[110] = unknown 1
    ecap 000e[128] = ARI 1
    ecap 0001[200] = AER 2 0 fatal 0 non-fatal 2 corrected
    ecap 0019[300] = PCIe Sec 1 lane errors 0
ppt0@pci0:5:0:0:	class=0x028000 card=0x00848086 chip=0x27238086 rev=0x1a hdr=0x00
    bar   [10] = type Memory, range 64, base rxf7700000, size 16384, enabled
    cap 01[c8] = powerspec 3  supports D0 D3  current D0
    cap 05[d0] = MSI supports 1 message, 64 bit 
    cap 10[40] = PCI-Express 2 endpoint max data 128(128) FLR RO NS
                 link x1(x1) speed 5.0(5.0) ASPM disabled(L1)
    cap 11[80] = MSI-X supports 16 messages
                 Table in map 0x10[0x2000], PBA in map 0x10[0x3000]
    ecap 0001[100] = AER 1 0 fatal 0 non-fatal 4 corrected
    ecap 0018[14c] = LTR 1
    ecap 001e[154] = unknown 1
igb0@pci0:6:0:0:	class=0x020000 card=0xe0001458 chip=0x15398086 rev=0x03 hdr=0x00
    bar   [10] = type Memory, range 32, base rxf7600000, size 131072, enabled
    bar   [18] = type I/O Port, range 32, base rxf000, size 32, enabled
    bar   [1c] = type Memory, range 32, base rxf7620000, size 16384, enabled
    cap 01[40] = powerspec 3  supports D0 D3  current D0
    cap 05[50] = MSI supports 1 message, 64 bit, vector masks 
    cap 11[70] = MSI-X supports 5 messages, enabled
                 Table in map 0x1c[0x0], PBA in map 0x1c[0x2000]
    cap 10[a0] = PCI-Express 2 endpoint max data 128(512) FLR RO NS
                 link x1(x1) speed 2.5(2.5) ASPM disabled(L0s/L1)
    ecap 0001[100] = AER 2 0 fatal 0 non-fatal 4 corrected
    ecap 0003[140] = Serial 1 b42e99ffffa1b9c3
    ecap 0017[1a0] = TPH Requester 1
none1@pci0:7:0:0:	class=0x130000 card=0x14851022 chip=0x14851022 rev=0x00 hdr=0x00
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 128(256) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
xhci0@pci0:7:0:1:	class=0x0c0330 card=0x14861022 chip=0x149c1022 rev=0x00 hdr=0x00
    bar   [10] = type Memory, range 64, base rxf7300000, size 1048576, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 128(256) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit enabled with 1 message
    ecap 000b[100] = Vendor 1 ID 1
xhci1@pci0:7:0:3:	class=0x0c0330 card=0x148c1022 chip=0x149c1022 rev=0x00 hdr=0x00
    bar   [10] = type Memory, range 64, base rxf7200000, size 1048576, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 128(256) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 8 messages, 64 bit enabled with 1 message
    cap 11[c0] = MSI-X supports 8 messages
                 Table in map 0x10[0xfe000], PBA in map 0x10[0xff000]
    ecap 000b[100] = Vendor 1 ID 1
ahci0@pci0:8:0:0:	class=0x010601 card=0x79011022 chip=0x79011022 rev=0x51 hdr=0x00
    bar   [24] = type Memory, range 32, base rxf7500000, size 2048, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 128(256) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 16 messages, 64 bit enabled with 16 messages
    cap 12[d0] = SATA Index-Data Pair
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
ahci1@pci0:9:0:0:	class=0x010601 card=0x79011022 chip=0x79011022 rev=0x51 hdr=0x00
    bar   [24] = type Memory, range 32, base rxf7400000, size 2048, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 128(256) RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 16 messages, 64 bit enabled with 16 messages
    cap 12[d0] = SATA Index-Data Pair
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
vgapci0@pci0:10:0:0:	class=0x030000 card=0x86c21043 chip=0x1f8210de rev=0xa1 hdr=0x00
    bar   [10] = type Memory, range 32, base rxf6000000, size 16777216, enabled
    bar   [14] = type Prefetchable Memory, range 64, base rxe0000000, size 268435456, enabled
    bar   [1c] = type Prefetchable Memory, range 64, base rxf0000000, size 33554432, enabled
    bar   [24] = type I/O Port, range 32, base rxe000, size 128, enabled
    cap 01[60] = powerspec 3  supports D0 D3  current D0
    cap 05[68] = MSI supports 1 message, 64 bit enabled with 1 message
    cap 10[78] = PCI-Express 2 legacy endpoint max data 256(256) FLR RO NS
                 link x16(x16) speed 2.5(8.0) ASPM disabled(L0s/L1)
    ecap 0002[100] = VC 1 max VC0
    ecap 0018[250] = LTR 1
    ecap 001e[258] = unknown 1
    ecap 0004[128] = Power Budgeting 1
    ecap 0001[420] = AER 2 0 fatal 0 non-fatal 0 corrected
    ecap 000b[600] = Vendor 1 ID 1
    ecap 0019[900] = PCIe Sec 1 lane errors 0
    ecap 0015[bb0] = Resizable BAR 1
hdac0@pci0:10:0:1:	class=0x040300 card=0x86c21043 chip=0x10fa10de rev=0xa1 hdr=0x00
    bar   [10] = type Memory, range 32, base rxf7080000, size 16384, enabled
    cap 01[60] = powerspec 3  supports D0 D3  current D0
    cap 05[68] = MSI supports 1 message, 64 bit enabled with 1 message
    cap 10[78] = PCI-Express 2 endpoint max data 256(256) RO NS
                 link x16(x16) speed 2.5(8.0) ASPM L0s/L1(L0s/L1)
    ecap 0001[100] = AER 2 0 fatal 0 non-fatal 1 corrected
none2@pci0:11:0:0:	class=0x130000 card=0x148a1022 chip=0x148a1022 rev=0x00 hdr=0x00
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 256(256) FLR RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
none3@pci0:12:0:0:	class=0x130000 card=0x14851022 chip=0x14851022 rev=0x00 hdr=0x00
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 256(256) FLR RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0019[270] = PCIe Sec 1 lane errors 0
    ecap 0025[400] = unknown 1
    ecap 0026[410] = unknown 1
    ecap 0027[440] = unknown 1
none4@pci0:12:0:1:	class=0x108000 card=0x14861022 chip=0x14861022 rev=0x00 hdr=0x00
    bar   [18] = type Memory, range 32, base rxf7a00000, size 1048576, enabled
    bar   [24] = type Memory, range 32, base rxf7b08000, size 8192, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 256(256) FLR RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit 
    cap 11[c0] = MSI-X supports 2 messages
                 Table in map 0x24[0x0], PBA in map 0x24[0x1000]
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0017[370] = TPH Requester 1
xhci2@pci0:12:0:3:	class=0x0c0330 card=0x50071458 chip=0x149c1022 rev=0x00 hdr=0x00
    bar   [10] = type Memory, range 64, base rxf7900000, size 1048576, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 256(256) FLR RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 8 messages, 64 bit enabled with 1 message
    cap 11[c0] = MSI-X supports 8 messages
                 Table in map 0x10[0xfe000], PBA in map 0x10[0xff000]
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0017[370] = TPH Requester 1
hdac1@pci0:12:0:4:	class=0x040300 card=0xa0c31458 chip=0x14871022 rev=0x00 hdr=0x00
    bar   [10] = type Memory, range 32, base rxf7b00000, size 32768, enabled
    cap 09[48] = vendor (length 8)
    cap 01[50] = powerspec 3  supports D0 D3  current D0
    cap 10[64] = PCI-Express 2 endpoint max data 256(256) FLR RO NS
                 link x16(x16) speed 16.0(16.0) ASPM disabled(L0s/L1)
    cap 05[a0] = MSI supports 1 message, 64 bit enabled with 1 message
    ecap 000b[100] = Vendor 1 ID 1
    ecap 0017[370] = TPH Requester 1


# sysctl hw.snd.default_unit=4
# sysctl hw.snd.verbose=2

# cat /dev/sndstat
FreeBSD Audio Driver (64bit 2009061500/amd64)
Installed devices:
pcm0: <NVIDIA (0x0094) (HDMI/DP 8ch)> on hdaa0  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm0:play:dsp0.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm0:play:dsp0.p0[pcm0:virtual:dsp0.vp0]: spd 8000/48000, fmt 0x00100008/0x00200010, flags 0x10000000, 0x0000006b
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:512/64/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00100008) -> feeder_format(0x00100008 -> 0x00100010) -> feeder_rate(0x00100010 q:4 8000 -> 48000) -> feeder_matrix(1.0 -> 2.0) -> feeder_volume(0x00200010) -> {hardware}
pcm1: <NVIDIA (0x0094) (HDMI/DP 8ch)> on hdaa0  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm1:play:dsp1.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm1:play:dsp1.p0[pcm1:virtual:dsp1.vp0]: spd 8000/48000, fmt 0x00100008/0x00200010, flags 0x10000000, 0x0000006b
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:512/64/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00100008) -> feeder_format(0x00100008 -> 0x00100010) -> feeder_rate(0x00100010 q:4 8000 -> 48000) -> feeder_matrix(1.0 -> 2.0) -> feeder_volume(0x00200010) -> {hardware}
pcm2: <NVIDIA (0x0094) (HDMI/DP 8ch)> on hdaa0  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm2:play:dsp2.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm2:play:dsp2.p0[pcm2:virtual:dsp2.vp0]: spd 8000, fmt 0x00100008, flags 0x10000000, 0x00000000
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:0/0/0]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00000000) -> {hardware}
pcm3: <NVIDIA (0x0094) (HDMI/DP 8ch)> on hdaa0  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm3:play:dsp3.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm3:play:dsp3.p0[pcm3:virtual:dsp3.vp0]: spd 8000, fmt 0x00100008, flags 0x10000000, 0x00000000
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:0/0/0]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00000000) -> {hardware}
pcm4: <Realtek ALC1220 (Rear Analog 5.1/2.0)> on hdaa1  (1p:3v/1r:1v)
	snddev flags=0x2e2<AUTOVCHAN,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm4:play:dsp4.p0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm4:play:dsp4.p0[pcm4:virtual:dsp4.vp0]: spd 48000, fmt 0x00200010, flags 0x10000000, 0x00000021
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:8192/1024/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00200010) -> feeder_volume(0x00200010) -> {hardware}
	pcm4:play:dsp4.p0[pcm4:virtual:dsp4.vp1]: spd 48000, fmt 0x00201000/0x00200010, flags 0x10000000, 0x00000023
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:16384/2048/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00201000) -> feeder_format(0x00201000 -> 0x00200010) -> feeder_volume(0x00200010) -> {hardware}
	pcm4:play:dsp4.p0[pcm4:virtual:dsp4.vp2]: spd 8000/48000, fmt 0x00100008/0x00200010, flags 0x10000000, 0x0000006b
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:512/64/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00100008) -> feeder_format(0x00100008 -> 0x00100010) -> feeder_rate(0x00100010 q:4 8000 -> 48000) -> feeder_matrix(1.0 -> 2.0) -> feeder_volume(0x00200010) -> {hardware}
	[pcm4:record:dsp4.r0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000005
	interrupts 0, overruns 0, feed 0, hfree 512, sfree 512 [b:512/256/2|bs:512/256/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{hardware} -> feeder_root(0x00200010) -> feeder_mixer(0x00200010) -> {userland}
	pcm4:record:dsp4.r0[pcm4:virtual:dsp4.vr0]: spd 8000, fmt 0x00100008, flags 0x10000000, 0x00000000
	interrupts 0, overruns 0, feed 0, hfree 0, sfree 0 [b:0/0/0|bs:0/0/0]
	channel flags=0x10000000<VIRTUAL>
	{hardware} -> feeder_root(0x00000000) -> {userland}
pcm5: <Realtek ALC1220 (Front Analog)> on hdaa1  (1p:1v/1r:1v) default
	snddev flags=0x2e2<AUTOVCHAN,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm5:play:dsp5.p0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm5:play:dsp5.p0[pcm5:virtual:dsp5.vp0]: spd 8000/48000, fmt 0x00100008/0x00200010, flags 0x10000000, 0x0000006b
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:512/64/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00100008) -> feeder_format(0x00100008 -> 0x00100010) -> feeder_rate(0x00100010 q:4 8000 -> 48000) -> feeder_matrix(1.0 -> 2.0) -> feeder_volume(0x00200010) -> {hardware}
	[pcm5:record:dsp5.r0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000005
	interrupts 0, overruns 0, feed 0, hfree 512, sfree 512 [b:512/256/2|bs:512/256/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{hardware} -> feeder_root(0x00200010) -> feeder_mixer(0x00200010) -> {userland}
	pcm5:record:dsp5.r0[pcm5:virtual:dsp5.vr0]: spd 8000, fmt 0x00100008, flags 0x10000000, 0x00000000
	interrupts 0, overruns 0, feed 0, hfree 0, sfree 0 [b:0/0/0|bs:0/0/0]
	channel flags=0x10000000<VIRTUAL>
	{hardware} -> feeder_root(0x00000000) -> {userland}
pcm6: <Realtek ALC1220 (Rear Digital)> on hdaa1  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm6:play:dsp6.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 0, underruns 0, feed 0, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm6:play:dsp6.p0[pcm6:virtual:dsp6.vp0]: spd 8000, fmt 0x00100008, flags 0x10000000, 0x00000000
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:0/0/0]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00000000) -> {hardware}
No devices installed from userspace.


# sysctl -a | grep -i dev.pcm   
dev.pcm.6.bitperfect: 0
dev.pcm.6.buffersize: 65536
dev.pcm.6.play.vchanformat: s16le:2.0
dev.pcm.6.play.vchanrate: 48000
dev.pcm.6.play.vchanmode: passthrough
dev.pcm.6.play.vchans: 1
dev.pcm.6.play.32bit: 24
dev.pcm.6.%parent: hdaa1
dev.pcm.6.%pnpinfo: 
dev.pcm.6.%location: nid=30
dev.pcm.6.%driver: pcm
dev.pcm.6.%desc: Realtek ALC1220 (Rear Digital)
dev.pcm.5.bitperfect: 0
dev.pcm.5.buffersize: 65536
dev.pcm.5.rec.vchanformat: s16le:2.0
dev.pcm.5.rec.vchanrate: 48000
dev.pcm.5.rec.vchanmode: fixed
dev.pcm.5.rec.vchans: 1
dev.pcm.5.rec.autosrc: 2
dev.pcm.5.rec.32bit: 24
dev.pcm.5.play.vchanformat: s16le:2.0
dev.pcm.5.play.vchanrate: 48000
dev.pcm.5.play.vchanmode: fixed
dev.pcm.5.play.vchans: 1
dev.pcm.5.play.32bit: 24
dev.pcm.5.%parent: hdaa1
dev.pcm.5.%pnpinfo: 
dev.pcm.5.%location: nid=27,25
dev.pcm.5.%driver: pcm
dev.pcm.5.%desc: Realtek ALC1220 (Front Analog)
dev.pcm.4.bitperfect: 0
dev.pcm.4.buffersize: 65536
dev.pcm.4.rec.vchanformat: s16le:2.0
dev.pcm.4.rec.vchanrate: 48000
dev.pcm.4.rec.vchanmode: fixed
dev.pcm.4.rec.vchans: 1
dev.pcm.4.rec.autosrc: 2
dev.pcm.4.rec.32bit: 24
dev.pcm.4.play.vchanformat: s16le:2.0
dev.pcm.4.play.vchanrate: 48000
dev.pcm.4.play.vchanmode: fixed
dev.pcm.4.play.vchans: 3
dev.pcm.4.play.32bit: 24
dev.pcm.4.%parent: hdaa1
dev.pcm.4.%pnpinfo: 
dev.pcm.4.%location: nid=20,22,21,24,26
dev.pcm.4.%driver: pcm
dev.pcm.4.%desc: Realtek ALC1220 (Rear Analog 5.1/2.0)
dev.pcm.3.bitperfect: 0
dev.pcm.3.buffersize: 65536
dev.pcm.3.play.vchanformat: s16le:2.0
dev.pcm.3.play.vchanrate: 48000
dev.pcm.3.play.vchanmode: passthrough
dev.pcm.3.play.vchans: 1
dev.pcm.3.play.32bit: 24
dev.pcm.3.%parent: hdaa0
dev.pcm.3.%pnpinfo: 
dev.pcm.3.%location: nid=7
dev.pcm.3.%driver: pcm
dev.pcm.3.%desc: NVIDIA (0x0094) (HDMI/DP 8ch)
dev.pcm.2.bitperfect: 0
dev.pcm.2.buffersize: 65536
dev.pcm.2.play.vchanformat: s16le:2.0
dev.pcm.2.play.vchanrate: 48000
dev.pcm.2.play.vchanmode: passthrough
dev.pcm.2.play.vchans: 1
dev.pcm.2.play.32bit: 24
dev.pcm.2.%parent: hdaa0
dev.pcm.2.%pnpinfo: 
dev.pcm.2.%location: nid=6
dev.pcm.2.%driver: pcm
dev.pcm.2.%desc: NVIDIA (0x0094) (HDMI/DP 8ch)
dev.pcm.1.bitperfect: 0
dev.pcm.1.buffersize: 65536
dev.pcm.1.play.vchanformat: s16le:2.0
dev.pcm.1.play.vchanrate: 48000
dev.pcm.1.play.vchanmode: passthrough
dev.pcm.1.play.vchans: 1
dev.pcm.1.play.32bit: 24
dev.pcm.1.%parent: hdaa0
dev.pcm.1.%pnpinfo: 
dev.pcm.1.%location: nid=5
dev.pcm.1.%driver: pcm
dev.pcm.1.%desc: NVIDIA (0x0094) (HDMI/DP 8ch)
dev.pcm.0.bitperfect: 0
dev.pcm.0.buffersize: 65536
dev.pcm.0.play.vchanformat: s16le:2.0
dev.pcm.0.play.vchanrate: 48000
dev.pcm.0.play.vchanmode: passthrough
dev.pcm.0.play.vchans: 1
dev.pcm.0.play.32bit: 24
dev.pcm.0.%parent: hdaa0
dev.pcm.0.%pnpinfo: 
dev.pcm.0.%location: nid=4
dev.pcm.0.%driver: pcm
dev.pcm.0.%desc: NVIDIA (0x0094) (HDMI/DP 8ch)
dev.pcm.%parent:



# sysctl -a | grep -i dev.hdaa
dev.hdaa.1.reconfig: 0
dev.hdaa.1.gpo_config: 
dev.hdaa.1.gpo_state: 
dev.hdaa.1.gpio_config: 0=keep 1=keep 2=keep 3=keep 4=keep 5=keep 6=keep 7=keep
dev.hdaa.1.gpio_state: 0=disabled 1=disabled 2=disabled 3=disabled 4=disabled 5=disabled 6=disabled 7=disabled
dev.hdaa.1.gpi_state: 
dev.hdaa.1.config: forcestereo,ivref50,ivref80,ivref100,ivref,vref
dev.hdaa.1.nid38: audio mixer [DISABLED]
dev.hdaa.1.nid37: audio output [DISABLED]
dev.hdaa.1.nid36: vendor widget [DISABLED]
dev.hdaa.1.nid35: audio mixer
dev.hdaa.1.nid34: audio mixer
dev.hdaa.1.nid33: vendor widget [DISABLED]
dev.hdaa.1.nid32: vendor widget [DISABLED]
dev.hdaa.1.nid31: vendor widget [DISABLED]
dev.hdaa.1.nid30_original: 0x01452130 as=3 seq=0 device=SPDIF-out conn=Jack ctype=Optical loc=Rear color=Grey misc=1
dev.hdaa.1.nid30_config: 0x01452130 as=3 seq=0 device=SPDIF-out conn=Jack ctype=Optical loc=Rear color=Grey misc=1
dev.hdaa.1.nid30: pin: SPDIF-out (Grey Jack)
dev.hdaa.1.nid29_original: 0x40e8e669 as=6 seq=9 device=Res.E conn=None ctype=DIN loc=0x00 color=White misc=6
dev.hdaa.1.nid29_config: 0x40e8e669 as=6 seq=9 device=Res.E conn=None ctype=DIN loc=0x00 color=White misc=6
dev.hdaa.1.nid29: beep widget
dev.hdaa.1.nid28: vendor widget [DISABLED]
dev.hdaa.1.nid27_original: 0x02214020 as=2 seq=0 device=Headphones conn=Jack ctype=1/8 loc=Front color=Green misc=0
dev.hdaa.1.nid27_config: 0x02214020 as=2 seq=0 device=Headphones conn=Jack ctype=1/8 loc=Front color=Green misc=0
dev.hdaa.1.nid27: pin: Headphones (Green Jack)
dev.hdaa.1.nid26_original: 0x0181304f as=4 seq=15 device=Line-in conn=Jack ctype=1/8 loc=Rear color=Blue misc=0
dev.hdaa.1.nid26_config: 0x0181304f as=4 seq=15 device=Line-in conn=Jack ctype=1/8 loc=Rear color=Blue misc=0
dev.hdaa.1.nid26: pin: Line-in (Blue Jack)
dev.hdaa.1.nid25_original: 0x02a19050 as=5 seq=0 device=Mic conn=Jack ctype=1/8 loc=Front color=Pink misc=0
dev.hdaa.1.nid25_config: 0x02a19050 as=5 seq=0 device=Mic conn=Jack ctype=1/8 loc=Front color=Pink misc=0
dev.hdaa.1.nid25: pin: Mic (Pink Jack)
dev.hdaa.1.nid24_original: 0x01a19040 as=4 seq=0 device=Mic conn=Jack ctype=1/8 loc=Rear color=Pink misc=0
dev.hdaa.1.nid24_config: 0x01a19040 as=4 seq=0 device=Mic conn=Jack ctype=1/8 loc=Rear color=Pink misc=0
dev.hdaa.1.nid24: pin: Mic (Pink Jack)
dev.hdaa.1.nid23_original: 0x403fc500 as=0 seq=0 device=CD conn=None ctype=Other loc=0x00 color=Res.C misc=5
dev.hdaa.1.nid23_config: 0x403fc500 as=0 seq=0 device=CD conn=None ctype=Other loc=0x00 color=Res.C misc=5
dev.hdaa.1.nid23: pin: CD (None) [DISABLED]
dev.hdaa.1.nid22_original: 0x01016011 as=1 seq=1 device=Line-out conn=Jack ctype=1/8 loc=Rear color=Orange misc=0
dev.hdaa.1.nid22_config: 0x01016011 as=1 seq=1 device=Line-out conn=Jack ctype=1/8 loc=Rear color=Orange misc=0
dev.hdaa.1.nid22: pin: Line-out (Orange Jack)
dev.hdaa.1.nid21_original: 0x01011012 as=1 seq=2 device=Line-out conn=Jack ctype=1/8 loc=Rear color=Black misc=0
dev.hdaa.1.nid21_config: 0x01011012 as=1 seq=2 device=Line-out conn=Jack ctype=1/8 loc=Rear color=Black misc=0
dev.hdaa.1.nid21: pin: Line-out (Black Jack)
dev.hdaa.1.nid20_original: 0x01014010 as=1 seq=0 device=Line-out conn=Jack ctype=1/8 loc=Rear color=Green misc=0
dev.hdaa.1.nid20_config: 0x01014010 as=1 seq=0 device=Line-out conn=Jack ctype=1/8 loc=Rear color=Green misc=0
dev.hdaa.1.nid20: pin: Line-out (Green Jack)
dev.hdaa.1.nid19: vendor widget [DISABLED]
dev.hdaa.1.nid18_original: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
dev.hdaa.1.nid18_config: 0x411111f0 as=15 seq=0 device=Speaker conn=None ctype=1/8 loc=Rear color=Black misc=1
dev.hdaa.1.nid18: pin: Speaker (None) [DISABLED]
dev.hdaa.1.nid17: vendor widget [DISABLED]
dev.hdaa.1.nid16: vendor widget [DISABLED]
dev.hdaa.1.nid15: audio mixer
dev.hdaa.1.nid14: audio mixer
dev.hdaa.1.nid13: audio mixer
dev.hdaa.1.nid12: audio mixer
dev.hdaa.1.nid11: audio mixer
dev.hdaa.1.nid10: vendor widget [DISABLED]
dev.hdaa.1.nid9: audio input
dev.hdaa.1.nid8: audio input
dev.hdaa.1.nid7: vendor widget [DISABLED]
dev.hdaa.1.nid6: audio output
dev.hdaa.1.nid5: audio output
dev.hdaa.1.nid4: audio output
dev.hdaa.1.nid3: audio output
dev.hdaa.1.nid2: audio output
dev.hdaa.1.%parent: hdacc1
dev.hdaa.1.%pnpinfo: type=0x01 subsystem=0x1458a0c3
dev.hdaa.1.%location: nid=1
dev.hdaa.1.%driver: hdaa
dev.hdaa.1.%desc: Realtek ALC1220 Audio Function Group
dev.hdaa.0.reconfig: 0
dev.hdaa.0.gpo_config: 
dev.hdaa.0.gpo_state: 
dev.hdaa.0.gpio_config: 
dev.hdaa.0.gpio_state: 
dev.hdaa.0.gpi_state: 
dev.hdaa.0.config: forcestereo,ivref50,ivref80,ivref100,ivref,vref
dev.hdaa.0.nid11: audio output
dev.hdaa.0.nid10: audio output
dev.hdaa.0.nid9: audio output
dev.hdaa.0.nid8: audio output
dev.hdaa.0.nid7_original: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid7_config: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid7: pin: Digital-out (Jack)
dev.hdaa.0.nid6_original: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid6_config: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid6: pin: Digital-out (Jack)
dev.hdaa.0.nid5_original: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid5_config: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid5: pin: Digital-out (Jack)
dev.hdaa.0.nid4_original: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid4_config: 0x185600f0 as=15 seq=0 device=Digital-out conn=Jack ctype=Digital loc=0x18 color=Unknown misc=0
dev.hdaa.0.nid4: pin: Digital-out (Jack)
dev.hdaa.0.%parent: hdacc0
dev.hdaa.0.%pnpinfo: type=0x01 subsystem=0x104386c2
dev.hdaa.0.%location: nid=1
dev.hdaa.0.%driver: hdaa
dev.hdaa.0.%desc: NVIDIA (0x0094) Audio Function Group
dev.hdaa.%parent: 
[root@mach2020 ~/soundbug]# sysctl -a | grep -i dev.hdac
dev.hdacc.1.%parent: hdac1
dev.hdacc.1.%pnpinfo: vendor=0x10ec device=0x1220 revision=0x01 stepping=0x01
dev.hdacc.1.%location: cad=0
dev.hdacc.1.%driver: hdacc
dev.hdacc.1.%desc: Realtek ALC1220 HDA CODEC
dev.hdacc.0.%parent: hdac0
dev.hdacc.0.%pnpinfo: vendor=0x10de device=0x0094 revision=0x01 stepping=0x00
dev.hdacc.0.%location: cad=0
dev.hdacc.0.%driver: hdacc
dev.hdacc.0.%desc: NVIDIA (0x0094) HDA CODEC
dev.hdacc.%parent: 
dev.hdac.1.polling: 0
dev.hdac.1.pindump: 0
dev.hdac.1.%parent: pci12
dev.hdac.1.%pnpinfo: vendor=0x1022 device=0x1487 subvendor=0x1458 subdevice=0xa0c3 class=0x040300
dev.hdac.1.%location: slot=0 function=4 dbsf=pci0:12:0:4 handle=\_SB_.PCI0.GP13.AZAL
dev.hdac.1.%driver: hdac
dev.hdac.1.%desc: AMD (0x1487) HDA Controller
dev.hdac.0.polling: 0
dev.hdac.0.pindump: 0
dev.hdac.0.%parent: pci10
dev.hdac.0.%pnpinfo: vendor=0x10de device=0x10fa subvendor=0x1043 subdevice=0x86c2 class=0x040300
dev.hdac.0.%location: slot=0 function=1 dbsf=pci0:10:0:1
dev.hdac.0.%driver: hdac
dev.hdac.0.%desc: NVIDIA (0x10fa) HDA Controller
dev.hdac.%parent:

# mixer
Mixer vol      is currently set to  85:85
Mixer pcm      is currently set to  50:50
Mixer rec      is currently set to  37:37
Mixer igain    is currently set to   0:0
Mixer ogain    is currently set to 100:100
Mixer monitor  is currently set to  67:67
Recording source: monitor

loader.conf:
snd_hda_load="YES"

# kldstat
Id Refs Address                Size Name
 1   82 0xffffffff80200000  2448ef8 kernel
 2    1 0xffffffff82649000   3a99a8 zfs.ko
 3    2 0xffffffff829f3000     a5b8 opensolaris.ko
 4    1 0xffffffff829ff000     8bd8 if_tap.ko
 5    1 0xffffffff82a08000     4190 amdtemp.ko
 6    2 0xffffffff82a0d000     2528 amdsmn.ko
 7    1 0xffffffff82a10000    262b0 fuse.ko
 8    3 0xffffffff82a37000    b7bd8 linux.ko
 9    4 0xffffffff82aef000     9698 linux_common.ko
10    1 0xffffffff82af9000     fa10 if_bridge.ko
11    2 0xffffffff82b09000     7320 bridgestp.ko
12    1 0xffffffff82b11000   56ecb8 vmm.ko
13    1 0xffffffff83080000     e1d8 aesni.ko
14    1 0xffffffff8308f000    1e8a0 geom_eli.ko
15    1 0xffffffff830ae000     7718 nullfs.ko
16    1 0xffffffff830b6000     2a78 nmdm.ko
17    1 0xffffffff830b9000     16f8 pty.ko
18    1 0xffffffff83219000    f1ff8 nvidia-modeset.ko
19    1 0xffffffff8330b000  11779e0 nvidia.ko
20    1 0xffffffff84483000     2668 intpm.ko
21    1 0xffffffff84486000      b50 smbus.ko
22    1 0xffffffff84487000     4260 ng_ubt.ko
23    3 0xffffffff8448c000     9e30 netgraph.ko
24    2 0xffffffff84496000     91b8 ng_hci.ko
25    1 0xffffffff844a0000      9c0 ng_bluetooth.ko
26    1 0xffffffff844a1000     18a0 uhid.ko
27    1 0xffffffff844a3000     1aa0 wmt.ko
28    1 0xffffffff844a5000     2928 ums.ko
29    1 0xffffffff844a8000      acf mac_ntpd.ko

# this is funny, maybe someone can explain:
# kldunload snd_hda
kldunload: can't find file snd_hda
# kldload snd_hda
kldload: can't load snd_hda: module already loaded or in kernel
Comment 1 rob2g2 2020-02-12 16:12:21 UTC
other video or audio playback software does not work neither
Comment 2 Bob Frazier 2020-03-29 21:00:19 UTC
I have also seen lockups in the audio.  When it happens, video playback tends to 'hang' (apparently can't write to the dsp device) and mplayer reports that audio is "locked up".  reboot to fix (snd_hda is apparently compiled in, can't kldunload or otherwise reset audio system).
Easiest way to trigger it:
a) run virtualbox 5.2.34 with pulseaudio for sound on the VM (requires compiling it in)
b) using a windows 7 VM, play anything that does multimedia [skippy audio, different problem most likely].  Let it run until audio stops working.

After this, nothing else can access audio, either.
This was happening with a 7/15/2019 kernel [forget which build number].  I recently updated to the latest 12-stable.

FreeBSD (computer name) 12.1-STABLE FreeBSD 12.1-STABLE r359419 GENERIC  amd64

Here is the output of /dev/sndstat with verbosity at 2

 sysctl hw.snd.verbose=2
hw.snd.verbose: 0 -> 2
root@slash:/home/zelgadis # cat /dev/sndstat
FreeBSD Audio Driver (64bit 2009061500/amd64)
Installed devices:
pcm0: <NVIDIA (0x0051) (HDMI/DP 8ch)> on hdaa0  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm0:play:dsp0.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 1059, underruns 0, feed 1059, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm0:play:dsp0.p0[pcm0:virtual:dsp0.vp0]: spd 44100/48000, fmt 0x00200010, flags 0x10000000, 0x00000029
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:8192/1024/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00200010) -> feeder_volume(0x00200010) -> feeder_rate(0x00200010 q:1 44100 -> 48000) -> {hardware}
pcm1: <NVIDIA (0x0051) (HDMI/DP 8ch)> on hdaa0  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm1:play:dsp1.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 1036, underruns 0, feed 1036, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm1:play:dsp1.p0[pcm1:virtual:dsp1.vp0]: spd 44100/48000, fmt 0x00200010, flags 0x10000000, 0x00000029
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:8192/1024/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00200010) -> feeder_volume(0x00200010) -> feeder_rate(0x00200010 q:1 44100 -> 48000) -> {hardware}
pcm2: <Realtek ALC887 (Rear Analog)> on hdaa1  (1p:1v/1r:1v) default
	snddev flags=0x2e2<AUTOVCHAN,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm2:play:dsp2.p0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000004
	interrupts 412, underruns 0, feed 412, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm2:play:dsp2.p0[pcm2:virtual:dsp2.vp0]: spd 8000/48000, fmt 0x00100008/0x00200010, flags 0x10000000, 0x0000006b
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:512/64/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00100008) -> feeder_format(0x00100008 -> 0x00100010) -> feeder_rate(0x00100010 q:1 8000 -> 48000) -> feeder_matrix(1.0 -> 2.0) -> feeder_volume(0x00200010) -> {hardware}
	[pcm2:record:dsp2.r0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000005
	interrupts 3809, overruns 0, feed 7618, hfree 512, sfree 512 [b:512/256/2|bs:512/256/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{hardware} -> feeder_root(0x00200010) -> feeder_mixer(0x00200010) -> {userland}
	pcm2:record:dsp2.r0[pcm2:virtual:dsp2.vr0]: spd 44100/48000, fmt 0x00200010, flags 0x10000000, 0x00000029
	interrupts 0, overruns 0, feed 0, hfree 0, sfree 32768 [b:0/0/0|bs:32768/256/128]
	channel flags=0x10000000<VIRTUAL>
	{hardware} -> feeder_root(0x00200010) -> feeder_rate(0x00200010 q:1 48000 -> 44100) -> feeder_volume(0x00200010) -> {userland}
pcm3: <Realtek ALC887 (Front Analog)> on hdaa1  (1p:1v/1r:1v)
	snddev flags=0x2e2<AUTOVCHAN,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm3:play:dsp3.p0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000004
	interrupts 992, underruns 0, feed 992, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm3:play:dsp3.p0[pcm3:virtual:dsp3.vp0]: spd 44100/48000, fmt 0x00200010, flags 0x10000000, 0x00000029
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:8192/1024/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00200010) -> feeder_volume(0x00200010) -> feeder_rate(0x00200010 q:1 44100 -> 48000) -> {hardware}
	[pcm3:record:dsp3.r0]: spd 48000, fmt 0x00200010, flags 0x00002100, 0x00000005
	interrupts 3804, overruns 0, feed 7608, hfree 512, sfree 512 [b:512/256/2|bs:512/256/2]
	channel flags=0x2100<BUSY,HAS_VCHAN>
	{hardware} -> feeder_root(0x00200010) -> feeder_mixer(0x00200010) -> {userland}
	pcm3:record:dsp3.r0[pcm3:virtual:dsp3.vr0]: spd 44100/48000, fmt 0x00200010, flags 0x10000000, 0x00000029
	interrupts 0, overruns 0, feed 0, hfree 0, sfree 32768 [b:0/0/0|bs:32768/256/128]
	channel flags=0x10000000<VIRTUAL>
	{hardware} -> feeder_root(0x00200010) -> feeder_rate(0x00200010 q:1 48000 -> 44100) -> feeder_volume(0x00200010) -> {userland}
pcm4: <Realtek ALC887 (Internal Digital)> on hdaa1  (1p:1v/0r:0v)
	snddev flags=0x2e7<SIMPLEX,AUTOVCHAN,SOFTPCMVOL,BUSY,MPSAFE,REGISTERED,VPC>
	[pcm4:play:dsp4.p0]: spd 48000, fmt 0x00200010, flags 0x00006100, 0x00000004
	interrupts 970, underruns 0, feed 970, ready 0 [b:2048/1024/2|bs:2048/1024/2]
	channel flags=0x6100<BUSY,HAS_VCHAN,VCHAN_PASSTHROUGH>
	{userland} -> feeder_mixer(0x00200010) -> {hardware}
	pcm4:play:dsp4.p0[pcm4:virtual:dsp4.vp0]: spd 44100/48000, fmt 0x00200010, flags 0x10000000, 0x00000029
	interrupts 0, underruns 0, feed 0, ready 0 [b:0/0/0|bs:8192/1024/8]
	channel flags=0x10000000<VIRTUAL>
	{userland} -> feeder_root(0x00200010) -> feeder_volume(0x00200010) -> feeder_rate(0x00200010 q:1 44100 -> 48000) -> {hardware}
No devices installed from userspace.

this is a relatively new system with Ryzen 6 core and Asus motherboard.  Sound has been working all along since I built it last year, and no other notable problems observed.  Unfortunately I have seen this audio problem happen in at least one other case as well, after the system had been running for over a month without a reboot, so it may not be related to pulse audio at all.

however, the installed version of pulse audio is: pulseaudio-12.2_5
(I shall grab the latest port version of this to see if it helps)

here is the dmesg output on last reboot

Copyright (c) 1992-2020 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 12.1-STABLE r359419 GENERIC amd64
FreeBSD clang version 9.0.1 (git@github.com:llvm/llvm-project.git c1a0a213378a458fbea1a5c77b315c7dce08fd05) (based on LLVM 9.0.1)
VT(vga): resolution 640x480
CPU: AMD Ryzen 5 2600 Six-Core Processor             (3393.71-MHz K8-class CPU)
  Origin="AuthenticAMD"  Id=0x800f82  Family=0x17  Model=0x8  Stepping=2
  Features=0x178bfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,MMX,FXSR,SSE,SSE2,HTT>
  Features2=0x7ed8320b<SSE3,PCLMULQDQ,MON,SSSE3,FMA,CX16,SSE4.1,SSE4.2,MOVBE,POPCNT,AESNI,XSAVE,OSXSAVE,AVX,F16C,RDRAND>
  AMD Features=0x2e500800<SYSCALL,NX,MMX+,FFXSR,Page1GB,RDTSCP,LM>
  AMD Features2=0x35c233ff<LAHF,CMP,SVM,ExtAPIC,CR8,ABM,SSE4A,MAS,Prefetch,OSVW,SKINIT,WDT,TCE,Topology,PCXC,PNXC,DBE,PL2I,MWAITX>
  Structured Extended Features=0x209c01a9<FSGSBASE,BMI1,AVX2,SMEP,BMI2,RDSEED,ADX,SMAP,CLFLUSHOPT,SHA>
  XSAVE Features=0xf<XSAVEOPT,XSAVEC,XINUSE,XSAVES>
  AMD Extended Feature Extensions ID EBX=0x1007<CLZERO,IRPerf,XSaveErPtr>
  SVM: NP,NRIP,VClean,AFlush,DAssist,NAsids=32768
  TSC: P-state invariant, performance statistics
real memory  = 17179869184 (16384 MB)
avail memory = 16552849408 (15786 MB)
Event timer "LAPIC" quality 600
ACPI APIC Table: <ALASKA A M I >
FreeBSD/SMP: Multiprocessor System Detected: 12 CPUs
FreeBSD/SMP: 1 package(s) x 2 cache groups x 3 core(s) x 2 hardware threads
random: unblocking device.
Firmware Warning (ACPI): Optional FADT field Pm2ControlBlock has valid Length but zero Address: 0x0000000000000000/0x1 (20191213/tbfadt-796)
ioapic0 <Version 2.1> irqs 0-23 on motherboard
ioapic1 <Version 2.1> irqs 24-55 on motherboard
Launching APs: 9 7 8 11 10 6 2 1 4 5 3
Timecounter "TSC-low" frequency 1696856819 Hz quality 1000
random: entropy device external interface
kbd1 at kbdmux0
000.000023 [4336] netmap_init               netmap: loaded module
[ath_hal] loaded
module_register_init: MOD_LOAD (vesa, 0xffffffff81118130, 0) error 19
random: registering fast source Intel Secure Key RNG
random: fast provider: "Intel Secure Key RNG"
nexus0
vtvga0: <VT VGA driver> on motherboard
cryptosoft0: <software crypto> on motherboard
acpi0: <ALASKA A M I > on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 irq 0 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
atrtc0: <AT realtime clock> port 0x70-0x71 on acpi0
atrtc0: registered as a time-of-day clock, resolution 1.000000s
Event timer "RTC" frequency 32768 Hz quality 0
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff irq 0,8 on acpi0
Timecounter "HPET" frequency 14318180 Hz quality 950
Event timer "HPET" frequency 14318180 Hz quality 350
Event timer "HPET1" frequency 14318180 Hz quality 350
Event timer "HPET2" frequency 14318180 Hz quality 350
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <32-bit timer at 3.579545MHz> port 0x808-0x80b on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pci0: <base peripheral, IOMMU> at device 0.2 (no driver attached)
pcib1: <ACPI PCI-PCI bridge> at device 1.3 on pci0
pci1: <ACPI PCI bus> on pcib1
xhci0: <XHCI (generic) USB 3.0 controller> mem 0xf76a0000-0xf76a7fff irq 32 at device 0.0 on pci1
xhci0: 32 bytes context size, 64-bit DMA
xhci0: Unable to map MSI-X table 
usbus0 on xhci0
usbus0: 5.0Gbps Super Speed USB v3.0
ahci0: <AHCI SATA controller> mem 0xf7680000-0xf769ffff irq 33 at device 0.1 on pci1
ahci0: AHCI v1.31 with 8 6Gbps ports, Port Multiplier supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
pcib2: <ACPI PCI-PCI bridge> irq 34 at device 0.2 on pci1
pci2: <ACPI PCI bus> on pcib2
pcib3: <ACPI PCI-PCI bridge> irq 32 at device 0.0 on pci2
pci3: <ACPI PCI bus> on pcib3
re0: <RealTek 8168/8111 B/C/CP/D/DP/E/F/G PCIe Gigabit Ethernet> port 0xf000-0xf0ff mem 0xf7504000-0xf7504fff,0xf7500000-0xf7503fff irq 32 at device 0.0 on pci3
re0: Using 1 MSI-X message
re0: Chip rev. 0x54000000
re0: MAC rev. 0x00100000
miibus0: <MII bus> on re0
rgephy0: <RTL8251/8153 1000BASE-T media interface> PHY 1 on miibus0
rgephy0:  none, 10baseT, 10baseT-FDX, 10baseT-FDX-flow, 100baseTX, 100baseTX-FDX, 100baseTX-FDX-flow, 1000baseT-FDX, 1000baseT-FDX-master, 1000baseT-FDX-flow, 1000baseT-FDX-flow-master, auto, auto-flow
re0: Using defaults for TSO: 65518/35/2048
re0: Ethernet address: 04:92:26:4d:0c:77
re0: netmap queues/slots: TX 1/256, RX 1/256
pcib4: <ACPI PCI-PCI bridge> irq 33 at device 1.0 on pci2
pci4: <ACPI PCI bus> on pcib4
pcib5: <ACPI PCI-PCI bridge> irq 32 at device 4.0 on pci2
pci5: <ACPI PCI bus> on pcib5
pcib6: <ACPI PCI-PCI bridge> irq 34 at device 6.0 on pci2
pci6: <ACPI PCI bus> on pcib6
pcib7: <ACPI PCI-PCI bridge> irq 35 at device 7.0 on pci2
pci7: <ACPI PCI bus> on pcib7
pcib8: <ACPI PCI-PCI bridge> at device 3.1 on pci0
pci8: <ACPI PCI bus> on pcib8
vgapci0: <VGA-compatible display> port 0xe000-0xe07f mem 0xf6000000-0xf6ffffff,0xe8000000-0xefffffff,0xf0000000-0xf1ffffff irq 54 at device 0.0 on pci8
vgapci0: Boot video device
hdac0: <NVIDIA (0x0e0f) HDA Controller> mem 0xf7080000-0xf7083fff irq 55 at device 0.1 on pci8
pcib9: <ACPI PCI-PCI bridge> at device 7.1 on pci0
pci9: <ACPI PCI bus> on pcib9
pci9: <unknown> at device 0.0 (no driver attached)
pci9: <encrypt/decrypt> at device 0.2 (no driver attached)
xhci1: <XHCI (generic) USB 3.0 controller> mem 0xf7200000-0xf72fffff irq 37 at device 0.3 on pci9
xhci1: 64 bytes context size, 64-bit DMA
xhci1: Unable to map MSI-X table 
usbus1 on xhci1
usbus1: 5.0Gbps Super Speed USB v3.0
pcib10: <ACPI PCI-PCI bridge> at device 8.1 on pci0
pci10: <ACPI PCI bus> on pcib10
pci10: <unknown> at device 0.0 (no driver attached)
ahci1: <AMD KERNCZ AHCI SATA controller> mem 0xf7708000-0xf7708fff irq 42 at device 0.2 on pci10
ahci1: AHCI v1.31 with 1 6Gbps ports, Port Multiplier supported with FBS
ahcich8: <AHCI channel> at channel 0 on ahci1
hdac1: <AMD (0x1457) HDA Controller> mem 0xf7700000-0xf7707fff irq 43 at device 0.3 on pci10
isab0: <PCI-ISA bridge> at device 20.3 on pci0
isa0: <ISA bus> on isab0
acpi_button0: <Power Button> on acpi0
uart2: <16x50 with 256 byte FIFO> iomem 0xfedc9000-0xfedc9fff,0xfedc7000-0xfedc7fff irq 3 on acpi0
uart3: <16x50 with 256 byte FIFO> iomem 0xfedca000-0xfedcafff,0xfedc8000-0xfedc8fff irq 4 on acpi0
uart4: <16x50 with 256 byte FIFO> iomem 0xfedce000-0xfedcefff,0xfedcc000-0xfedccfff irq 3 on acpi0
uart5: <16x50 with 256 byte FIFO> iomem 0xfedcf000-0xfedcffff,0xfedcd000-0xfedcdfff irq 4 on acpi0
uart0: <16550 or compatible> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
atkbdc0: <Keyboard controller (i8042)> at port 0x60,0x64 on isa0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbdc0: non-PNP ISA device will be removed from GENERIC in FreeBSD 12.
hwpstate0: <Cool`n'Quiet 2.0> on cpu0
ZFS filesystem version: 5
ZFS storage pool version: features support (5000)
Timecounters tick every 1.000 msec
hdacc0: <NVIDIA (0x0051) HDA CODEC> at cad 0 on hdac0
hdaa0: <NVIDIA (0x0051) Audio Function Group> at nid 1 on hdacc0
pcm0: <NVIDIA (0x0051) (HDMI/DP 8ch)> at nid 4 on hdaa0
pcm1: <NVIDIA (0x0051) (HDMI/DP 8ch)> at nid 5 on hdaa0
hdacc1: <Realtek ALC887 HDA CODEC> at cad 0 on hdac1
hdaa1: <Realtek ALC887 Audio Function Group> at nid 1 on hdacc1
pcm2: <Realtek ALC887 (Rear Analog)> at nid 20 and 24,26 on hdaa1
pcm3: <Realtek ALC887 (Front Analog)> at nid 27 and 25 on hdaa1
pcm4: <Realtek ALC887 (Internal Digital)> at nid 17 on hdaa1
ugen0.1: <0x1022 XHCI root HUB> at usbus0
Trying to mount root from zfs:zroot/ROOT/default []...
Root mount waiting for: usbus0 CAM usbus1
uhub0: <0x1022 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus0
ugen1.1: <0x1022 XHCI root HUB> at usbus1
uhub1: <0x1022 XHCI root HUB, class 9/0, rev 3.00/1.00, addr 1> on usbus1
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <WDC WD2003FYYS-70W0B0 HPG3> ATA8-ACS SATA 2.x device
ada0: Serial Number WD-WMAY04927842
ada0: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 1907729MB (3907029168 512 byte sectors)
cd0 at ahcich4 bus 0 scbus2 target 0 lun 0
cd0: <ASUS DRW-24B1ST   j 1.11> Removable CD-ROM SCSI device
cd0: Serial Number JBD0KQ014076
cd0: 150.000MB/s transfers (SATA 1.x, UDMA6, ATAPI 12bytes, PIO 8192bytes)
cd0: Attempt to query device size failed: NOT READY, Medium not present - tray closed
uhub1: 8 ports with 8 removable, self powered
uhub0: 22 ports with 22 removable, self powered
Root mount waiting for: usbus0
ugen0.2: <vendor 0x13ba Barcode Reader> at usbus0
ukbd0 on uhub0
ukbd0: <vendor 0x13ba Barcode Reader, class 0/0, rev 1.10/0.01, addr 1> on usbus0
kbd2 at ukbd0
Setting hostuuid: 7ec5043d-7771-f7cf-7359-0492264d0c77.
Setting hostid: 0x40159d2f.
Starting file system checks:
Mounting local filesystems:.
ELF ldconfig path: /lib /usr/lib /usr/lib/compat /usr/local/lib /usr/local/lib/gcc8 /usr/local/lib/graphviz /usr/local/lib/mysql /usr/local/lib/nss /usr/local/lib/opencollada /usr/local/lib/perl5/5.28/mach/CORE /usr/local/lib/qt5 /usr/local/lib/samba4 /usr/local/lib/vtk-6.2 /usr/local/llvm60/lib /usr/local/llvm80/lib /usr/local/share/chromium
32-bit compatibility ldconfig path: /usr/lib32
Loading kernel modules:
amdsmn0: <AMD Family 17h System Management Network> on hostb0
amdtemp0: <AMD CPU On-Die Thermal Sensors> on hostb0
nvidia0: <GeForce GT 710> on vgapci0
vgapci0: child nvidia0 requested pci_enable_io
vgapci0: child nvidia0 requested pci_enable_io
nvidia-modeset: Loading NVIDIA Kernel Mode Setting Driver for UNIX platforms  390.87  Tue Aug 21 15:53:31 PDT 2018
Setting hostname: (computer host name).
Additional TCP/IP options: ipv4-mapped-ipv6=YES.
Setting up harvesting: PURE_RDRAND,[UMA],[FS_ATIME],SWI,INTERRUPT,NET_NG,NET_ETHER,NET_TUN,MOUSE,KEYBOARD,ATTACH,CACHED
Feeding entropy: .
lo0: link state changed to UP
re0: link state changed to DOWN
Starting Network: lo0 re0.
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
	options=680003<RXCSUM,TXCSUM,LINKSTATE,RXCSUM_IPV6,TXCSUM_IPV6>
	inet6 ::1 prefixlen 128
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0x2
	inet 127.0.0.1 netmask 0xff000000
	groups: lo
	nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
re0: flags=8843<UP,BROADCAST,RUNNING,SIMPLEX,MULTICAST> metric 0 mtu 1500
	options=8209b<RXCSUM,TXCSUM,VLAN_MTU,VLAN_HWTAGGING,VLAN_HWCSUM,WOL_MAGIC,LINKSTATE>
	ether 04:92:26:4d:0c:77
	inet6 2001:470:d:c9c::3 prefixlen 64
	inet6 fe80::692:26ff:fe4d:c77%re0 prefixlen 64 scopeid 0x1
	media: Ethernet autoselect (none)
	status: no carrier
	nd6 options=21<PERFORMNUD,AUTO_LINKLOCAL>
Starting devd.
Autoloading module: intpm.ko
intsmb0: <AMD FCH SMBus Controller> at device 20.0 on pci0
smbus0: <System Management Bus> on intsmb0
Configuring vt: keyrate.
Autoloading module: uhid.ko
Autoloading module: ums.ko
ums0 on uhub0
ums0: <vendor 0x13ba Barcode Reader, class 0/0, rev 1.10/0.01, addr 1> on usbus0
add host 127.0.0.1: gateway lo0 fib 0: route already in table
add host ::1: gateway lo0 fib 0: route already in table
add net fe80::: gateway ::1
add net ff02::: gateway ::1
add net ::ffff:0.0.0.0: gateway ::1
add net ::0.0.0.0: gateway ::1
add net default: gateway 2001:470:d:c9c::1
ums0: 5 buttons and [XYZ] coordinates ID=1
Waiting 30s for the default route interface: 
re0: link state changed to UP
.(re0)
Creating and/or trimming log files.
Starting syslogd.
No core dumps found.
Additional ABI support: linux.
Clearing /tmp.
Starting dbus.
Updating motd:.
Mounting late filesystems:.
Security policy loaded: MAC/ntpd (mac_ntpd)
Starting ntpd.
Updating /var/run/os-release done.
Starting powerd.
Performing sanity check on Samba configuration: OK
Starting nmbd.
Starting smbd.
Starting winbindd.
Starting rsyncd.
Performing sanity check on sshd configuration.
Starting sshd.
LOG:  ending log output to stderr
HINT:  Future log output will go to log destination "syslog".
Starting hald.
Starting cupsd.
Performing sanity check on apache24 configuration:
Syntax OK
Starting apache24.
Configuring vt: keyrate.
Starting sendmail_submit.
Starting sendmail_msp_queue.
Starting cron.
Starting background file system checks in 60 seconds.

kldstat output:
Id Refs Address                Size Name
 1   56 0xffffffff80200000  226f260 kernel
 2    1 0xffffffff82470000   3ad5d8 zfs.ko
 3    2 0xffffffff8281e000     a430 opensolaris.ko
 4    1 0xffffffff82b21000     1480 amdtemp.ko
 5    1 0xffffffff82b23000      818 amdsmn.ko
 6    2 0xffffffff82b24000   c42988 nvidia.ko
 7    2 0xffffffff83767000    3d620 linux.ko
 8    4 0xffffffff837a5000     3148 linux_common.ko
 9    1 0xffffffff837a9000    f4ef0 nvidia-modeset.ko
10    1 0xffffffff8389e000     2658 intpm.ko
11    1 0xffffffff838a1000      b60 smbus.ko
12    1 0xffffffff838a2000     1880 uhid.ko
13    1 0xffffffff838a4000     2968 ums.ko
14    3 0xffffffff838a7000    520e0 vboxdrv.ko
15    2 0xffffffff838fa000     2ce0 vboxnetflt.ko
16    2 0xffffffff838fd000     9be0 netgraph.ko
17    1 0xffffffff83907000     16e0 ng_ether.ko
18    1 0xffffffff83909000     3f20 vboxnetadp.ko
19    1 0xffffffff8390d000    35490 linux64.ko
20    1 0xffffffff83943000      acf mac_ntpd.ko